Revert "add gmail button"
[ikiwiki.git] / debian / NEWS
1 ikiwiki (3.20100505) UNRELEASED; urgency=low
2
3   There is a significant change to the page.tmpl template in this version.
4   If you have locally modified versions of that template, you will need
5   to update it to contain the following in the HTML <head>:
6
7     <TMPL_IF DYNAMIC>
8     <TMPL_IF FORCEBASEURL><base href="<TMPL_VAR FORCEBASEURL>" /><TMPL_ELSE>
9     <TMPL_IF BASEURL><base href="<TMPL_VAR BASEURL>" /></TMPL_IF>
10     </TMPL_IF>
11   
12   Also, there is a new "comment()" pagespec, that can be used to match a
13   comment on a page. It is recommended it be used instead of the old
14   method of using a pagespec such as "internal(comment_*)" to match
15   things that looked like comments. The old pagespec will now also match
16   comments that are held for moderation; likely not what you want.
17
18   There have also been some changes to the style.css in this version,
19   particularly to support the new openid selector. If you have a modified
20   version, of style.css, updating it (or moving it to local.css) is
21   recommended.
22
23  -- Joey Hess <joeyh@debian.org>  Wed, 05 May 2010 21:47:08 -0400
24
25 ikiwiki (3.20100427) unstable; urgency=low
26
27   This version of ikiwiki has a lot of changes that you need to know about.
28
29   Now you can include customised versions of templates in the source
30   of your wiki. (For example, templates/page.tmpl.) When these templates
31   are changed, ikiwiki will automatically rebuild pages that use them.
32
33   Allowing untrusted users to upload attachments with the ".tmpl"
34   extension is not recommended, as that allows anyone to change
35   a wiki's templates.
36
37   The --getctime switch is renamed to --gettime, and it also gets the 
38   file modification time. And it's a lot faster (when using git). But
39   the really important change is, you don't have to remember to use this
40   switch. Now ikiwiki will do it when it needs to.
41
42   At last, the "tagged()" pagespec only matches tags, not regular wikilinks.
43   If your wiki accidentially relied on the old, buggy behavior, you might
44   need to change its pagespecs to use "link()".
45
46   Many of your wishes have been answered: Now tag pages can automatically be
47   created when new tags are used. This feature is enabled by default if you
48   have configured a tagbase. It can be turned on or off using the
49   tag_autocreate setting.
50
51   These changes may also affect some users:
52
53   * The title_natural sort method (as used by the inline directive, etc)
54     has been moved to the new sortnaturally plugin, which is not enabled
55     by default since it requires the Sort::Naturally perl module.
56
57   * The add_templates option has been removed from the underlay plugin.
58     If you used this option, you can instead use templates/ subdirectories
59     inside underlay directories added by the add_underlays option.
60
61   Due to the above and other changes, all wikis need to be rebuilt on
62   upgrade to this version. If you listed your wiki in /etc/ikiwiki/wikilist
63   this will be done automatically when the Debian package is upgraded. Or
64   use ikiwiki-mass-rebuild to force a rebuild.
65
66  -- Joey Hess <joeyh@debian.org>  Tue, 27 Apr 2010 00:00:00 -0400
67
68 ikiwiki (3.20091017) unstable; urgency=low
69
70   To take advantage of significant performance improvements, all
71   wikis need to be rebuilt on upgrade to this version. If you
72   listed your wiki in /etc/ikiwiki/wikilist this will be done
73   automatically when the Debian package is upgraded. Or use
74   ikiwiki-mass-rebuild to force a rebuild.
75
76  -- Joey Hess <joeyh@debian.org>  Mon, 05 Oct 2009 16:48:59 -0400
77
78 ikiwiki (3.1415926) unstable; urgency=low
79
80   In order to fix a performance bug, all wikis need to be rebuilt on
81   upgrade to this version. If you listed your wiki in
82   /etc/ikiwiki/wikilist this will be done automatically when the
83   Debian package is upgraded. Or use ikiwiki-mass-rebuild to force
84   a rebuild.
85
86  -- Joey Hess <joeyh@debian.org>  Tue, 25 Aug 2009 17:24:43 -0400
87
88 ikiwiki (3.13) unstable; urgency=low
89
90   The `ikiwiki-transition deduplinks` command introduced in the
91   last release was buggy. If you followed the NEWS file instructions
92   and ran it, you should run `ikiwiki -setup` to rebuild your wiki
93   to fix the problem.
94
95  -- Joey Hess <joeyh@debian.org>  Fri, 22 May 2009 13:04:02 -0400
96
97 ikiwiki (3.12) unstable; urgency=low
98
99   You may want to run `ikiwiki-transition deduplinks your.setup`
100   after upgrading to this version of ikiwiki. This command will
101   optimise your wiki's saved state, removing duplicate information
102   that can slow ikiwiki down.
103
104  -- Joey Hess <joeyh@debian.org>  Wed, 06 May 2009 00:25:06 -0400
105
106 ikiwiki (3.01) unstable; urgency=low
107
108   If your wiki uses git, and you have a `diffurl` configured in
109   its setup file, you should be aware that gitweb has stopped
110   supporting the url form commonly used for the `diffurl`.
111
112   You can change your setup to use the newer gitweb url form:
113
114     http://git.example.com/gitweb.cgi?p=wiki.git;a=blobdiff;f=[[file]];h=[[sha1_to]];hp=[[sha1_from]];hb=[[sha1_commit]];hpb=[[sha1_parent]]
115
116   The changes from the old form are the addition of the `hpb` parameter,
117   and the change to the value used for the `hb` parameter.
118
119  -- Joey Hess <joeyh@debian.org>  Mon, 05 Jan 2009 18:18:05 -0500
120
121 ikiwiki (3.00) unstable; urgency=low
122
123   The 3.0 release of ikiwiki changes several defaults and finishes
124   some transitions. You will need to modify your wikis to work with
125   ikiwiki 3.0. A document explaining the process is available
126   in </usr/share/doc/ikiwiki/html/tips/upgrade_to_3.0.html>
127
128  -- Joey Hess <joeyh@debian.org>  Tue, 23 Dec 2008 16:14:18 -0500
129
130 ikiwiki (2.62) unstable; urgency=low
131
132   TexImg standard preamble changed
133
134   The teximg plugin now has a configurable LaTeX preamble.
135   As part of this change the `mchem` LaTeX package has been removed from
136   the default LaTeX preamble as it wasn't included in many TeX installations.
137
138   The previous behaviour can be restored by adding the following to your
139   ikiwiki setup:
140
141         teximg_prefix => '\documentclass{scrartcl}
142                 \usepackage[version=3]{mhchem}
143                 \usepackage{amsmath}
144                 \usepackage{amsfonts}
145                 \usepackage{amssymb}
146                 \pagestyle{empty}
147                 \begin{document}',
148
149   In addition, the rendering mechanism has been changed to use `dvipng` by
150   default, if available.
151
152  -- Joey Hess <joeyh@debian.org>  Sun, 24 Aug 2008 15:00:40 -0400
153
154 ikiwiki (2.60) unstable; urgency=low
155
156   Admin preferences are moving from the web interface to the setup file.
157   There are three new options in the setup file: `locked_pages`, `banned_users`,
158   and `allowed_attachments`. The admin prefs page can still be used, but
159   that's deprecated, and the prefs will be hidden if a value is not already
160   set. If a value is set in the web interface, you're encouraged to move that
161   setting to your setup file now, since version 3.0 will remove the deprecated
162   admin prefs web interface.
163
164   Also, the layout of the setup file has changed in a significant way in this
165   release. Old setup files will continue to work, but new features, like the
166   new websetup interface, require a new format setup file. You can convert
167   old setup files into the new format by running 
168   `ikiwiki-transition setupformat ikiwiki.setup`
169
170  -- Joey Hess <joeyh@debian.org>  Fri, 01 Aug 2008 17:02:14 -0400
171
172 ikiwiki (2.52) unstable; urgency=low
173
174   All wikis need to be rebuilt on upgrade to this version. If you listed your
175   wiki in /etc/ikiwiki/wikilist this will be done automatically when the
176   Debian package is upgraded. Or use ikiwiki-mass-rebuild to force a rebuild.
177
178  -- Joey Hess <joeyh@debian.org>  Sun, 06 Jul 2008 15:10:05 -0400
179
180 ikiwiki (2.49) unstable; urgency=low
181
182   The search plugin no longer uses hyperestraier. Instead, to use it you
183   will now need to install xapian-omega, and the Search::Xapian,
184   HTML::Scrubber, and Digest::SHA1 perl modules. Ie,
185   `apt-get install xapian-omega libsearch-xapian-perl libhtml-scrubber-perl libdigest-sha1-perl`
186
187   Also, wikis that use the search plugin will need to be rebuilt,
188   since the search form has changed. This will not be done automatically,
189   but can be done by running `ikiwiki-mass-upgrade` as root, or
190   running `ikiwiki -setup` on individual setup files.
191
192  -- Joey Hess <joeyh@debian.org>  Wed, 04 Jun 2008 00:29:28 -0400
193
194 ikiwiki (2.48) unstable; urgency=high
195
196   If you allowed password based logins to your wiki, those passwords were
197   stored in cleartext in the userdb. To guard against exposing users'
198   passwords, I recommend you install the Authen::Passphrase perl module, and
199   then run `ikiwiki-transition hashpassword /path/to/srcdir` to replace all
200   existing cleartext passwords with strong (blowfish) hashes.
201
202  -- Joey Hess <joeyh@debian.org>  Thu, 29 May 2008 14:39:34 -0400
203
204 ikiwiki (2.46) unstable; urgency=low
205  
206   There were some significant template changes in ikiwiki 2.42 (and 1.33.5).
207   If you have locally modified versions of the templates, they need to be
208   updated. Most notably, the editpage.tmpl has a new FIELD-SID added to it,
209   without which web editing will fail.
210  
211  -- Joey Hess <joeyh@debian.org>  Tue, 06 May 2008 14:30:14 -0400
212
213 ikiwiki (2.40) unstable; urgency=low
214
215   ikiwiki now has an new syntax for preprocessor directives, using the
216   prefix '!':
217
218   [[!directive ...]]
219
220   This new syntax no longer relies on spaces to distinguish between
221   wikilinks and preprocessor directives.  Thus, wikilinks can use spaces
222   in their link text, and preprocessor directives without arguments (such
223   as "toc") need not use a trailing space.
224
225   To enable the new syntax, set prefix_directives to true in your ikiwiki
226   config.  For backward compatibility with existing wikis,
227   prefix_directives currently defaults to false.  In ikiwiki 3.0,
228   prefix_directives will default to true, and wikis which have not yet
229   converted to the new syntax will need to set prefix_directives to false
230   in their setup files.
231
232   To convert your wiki to the new syntax, ikiwiki provides a new script
233   ikiwiki-transition.
234
235   Even with prefix_directives disabled, ikiwiki now allows an optional '!'
236   prefix on preprocessor directives (but still requires a space).  Thus, a
237   directive which uses a '!' prefix and contains a space will work with
238   ikiwiki 2.40 and newer, regardless of the value of prefix_directives.
239   This allows the underlay to work with all ikiwikis.
240
241  -- Josh Triplett <josh@freedesktop.org>  Sat, 26 Jan 2008 16:26:47 -0800
242
243 ikiwiki (2.30) unstable; urgency=low
244
245   Ever feel that ikiwiki's handling of RecentChanges wasn't truely in the
246   spirit of a wiki compiler? Well, that's changed. The RecentChanges page is
247   now a static page, not a CGI. Users can subscribe to its rss/atom feeds.
248   Custom RecentChanges pages can be easily set up that display only changes
249   to a subset of pages, or only changes by a subset of users.
250   
251   All wikis need to be rebuilt on upgrade to this version. If you listed your
252   wiki in /etc/ikiwiki/wikilist this will be done automatically when the
253   Debian package is upgraded. Or use ikiwiki-mass-rebuild to force a rebuild.
254
255   With this excellent new RecentChanges support, the mail notification system
256   is its age (and known to be variously buggy and underimplemented for
257   various VCSes), and so ikiwiki's support for sending commit mails is REMOVED
258   from this version. If you were subscribed to commit mails, you should be
259   able to accomplish the same thing by subscribing to a RecentChanges feed.
260
261   The "notify" field in setup files is no longer used, and
262   silently ignored. You may want to remove it from your setup file.
263
264  -- Joey Hess <joeyh@debian.org>  Tue, 29 Jan 2008 17:18:31 -0500
265
266 ikiwiki (2.20) unstable; urgency=low
267
268   The template plugin has begin to htmlize the variables passed to templates.
269   This is normally what you want, but to get the old behavior and get at the
270   raw value, you can use `<TMPL_VAR raw_variable>` in a template.
271  
272  -- Joey Hess <joeyh@debian.org>  Sat, 08 Dec 2007 16:04:43 -0500
273
274 ikiwiki (2.16) unstable; urgency=low
275
276   Many of the pages in ikiwiki's basewiki have been moved and renamed in this
277   release, to avoid the basewiki including pages with names like "blog".
278   Redirection pages have been left behind for these moved pages temporarily,
279   and will be removed later.
280
281   If you use the calendar plugin, ikiwiki is now smarter and your nightly
282   cron job to update the wiki doesn't need to rebuild everything. Just pass
283   --refresh to ikiwiki in the cron job and it will update only pages that
284   contain out of date calendars.
285
286  -- Joey Hess <joeyh@debian.org>  Sat, 08 Dec 2007 16:04:43 -0500
287
288 ikiwiki (2.14) unstable; urgency=low
289
290   This version of ikiwiki is more picky about symlinks in the path leading
291   to the srcdir, and will refuse to use a srcdir specified by such a path.
292   This was necessary to avoid some potential exploits, but could potentially
293   break (semi-)working wikis. If your wiki has a srcdir path containing a
294   symlink, you should change it to use a path that does not.
295
296  -- Joey Hess <joeyh@debian.org>  Mon, 26 Nov 2007 14:57:57 -0500
297
298 ikiwiki (2.9) unstable; urgency=low
299
300   Since ikiwiki 2.0 was released, some limitiations have been added to what
301   ikiwiki considers a WikiLink. In short, if there are any spaces in between
302   the brackets, ikiwiki no longer considers it to be a WikiLink. If your wiki
303   contains things meant to be WikiLinks that contain spaces, you will need to
304   fix them, by replacing the spaces with underscores.
305   
306   WikiLink have always been documented to not contain spaces, but bugs in
307   ikiwiki made it treat some text with spaces as WikiLinks. Most of these
308   bugs were fixed in version 2.2, and a final bug was fixed in this 2.9
309   release. These fixes are necessary to avoid ambiguity between
310   WikiLinks and PreProcessorDirectives. Apologies for any inconvenience
311   these bugs (and their fixes) may have caused.
312
313  -- Joey Hess <joeyh@debian.org>  Sat, 29 Sep 2007 14:37:18 -0400
314
315 ikiwiki (2.6) unstable; urgency=low
316
317   In this version the rst plugin allows raw html to be embedded in rst files.
318   As long as the htmlscrubber is enabled, this should be safe. If you are
319   using the rst plugin without the htmlscrubber in a publically writable wiki,
320   you should turn on the htmlscrubber.
321
322  -- Joey Hess <joeyh@debian.org>  Sun, 29 Jul 2007 18:37:22 -0400
323
324 ikiwiki (2.5) unstable; urgency=low
325
326   Due to some config changes in this version, wrappers need to be rebuilt on
327   upgrade. If you listed your wiki in /etc/ikiwiki/wikilist this will be
328   one automatically when the Debian package is upgraded.
329
330  -- Joey Hess <joeyh@debian.org>  Sun, 29 Jul 2007 17:54:40 -0400
331
332 ikiwiki (2.1) unstable; urgency=low
333
334   Some wikis need to be rebuilt on upgrade to this version, due to changes to
335   page templates and the style sheet. If you listed your wiki in
336   /etc/ikiwiki/wikilist this will be done automatically when the Debian
337   package is upgraded. Or use ikiwiki-mass-rebuild to force a rebuild.
338
339  -- Joey Hess <joeyh@debian.org>  Thu, 26 Apr 2007 15:50:36 -0400
340
341 ikiwiki (2.00) unstable; urgency=low
342
343   With the 2.0 release of ikiwiki, some major changes have been made to the
344   default configuration:
345
346   * The 'usedirs' setting is enabled by default. This *will* break all URLs
347     to wikis that did not have 'usedirs' turned on before, unless you follow
348     the procedure described at <http://ikiwiki.info/tips/switching_to_usedirs>,
349     or edit your setup file to turn usedirs off:
350        usedirs => 0,
351
352   * OpenID logins are now enabled by default, if the Net::OpenID::Consumer
353     perl module is available. Password logins are also still enabled
354     by default. If you like, you can turn either OpenID or password logins
355     off via the 'disable_plugins' setting.
356
357  -- Joey Hess <joeyh@debian.org>  Sun, 29 Apr 2007 19:00:43 -0400
358
359 ikiwiki (1.51) unstable; urgency=low
360
361   Some wikis need to be rebuilt on upgrade to this version, due to changes to
362   page layout and the style sheet. If you listed your wiki in
363   /etc/ikiwiki/wikilist this will be done automatically when the Debian
364   package is upgraded. Or use ikiwiki-mass-rebuild to force a rebuild.
365
366  -- Joey Hess <joeyh@debian.org>  Thu, 26 Apr 2007 15:50:36 -0400
367
368 ikiwiki (1.50) unstable; urgency=low
369
370   Permalinks and guids in rss and atom feeds for wikis using the usedirs
371   options will change in this release. If you have already enabled usedirs,
372   you may need to take steps to avoid flooding aggregators.
373
374  -- Joey Hess <joeyh@debian.org>  Sat, 14 Apr 2007 16:08:46 -0400
375
376 ikiwiki (1.49) unstable; urgency=low
377
378   Third-party plugins that use htmlpage() or abs2rel() to generate links
379   may need changes to support the new "usedirs" option.
380
381  -- Joey Hess <joeyh@debian.org>  Sun, 01 Apr 2007 16:20:09 -0400
382
383 ikiwiki (1.47) unstable; urgency=low
384  
385   Due to a security fix, wikis that have the htmlscrubber enabled can no
386   longer use the meta plugin to insert html link and meta tags.
387
388   Some special case methods have been added for safely including stylesheets,
389   and for doing openid delegation. See the meta plugin docs for details.
390  
391  -- Joey Hess <joeyh@debian.org>  Wed, 21 Mar 2007 14:18:40 -0400
392
393 ikiwiki (1.45) unstable; urgency=low
394
395   Wikis need to be rebuilt on upgrade to this version. If you listed your wiki
396   in /etc/ikiwiki/wikilist this will be done automatically when the Debian
397   package is upgraded. Or use ikiwiki-mass-rebuild to force a rebuild.
398
399  -- Joey Hess <joeyh@debian.org>  Wed,  7 Mar 2007 23:02:52 -0500
400
401 ikiwiki (1.44) unstable; urgency=low
402
403   The htmllink() function has changed slightly and plugins that use it may
404   need to change how they call it. This function's first three parameters
405   are unchanged, but additional options are now passed using named
406   parameters. If you used htmllink with more than 3 parameters, you will
407   need to change it. The plugin interface version has been increased to 1.02
408   to reflect this change.
409
410  -- Joey Hess <joeyh@debian.org>  Mon, 19 Feb 2007 21:10:12 -0500
411
412 ikiwiki (1.42) unstable; urgency=low
413
414   The anonok setting in config files has been removed. To enable
415   httpauth support on your wiki, you should now enable the anonok plugin,
416   instead.
417
418   Third-party plugins that use pagespec_match() should be updated to pass
419   the new third parameter (from) to that function. This is needed for the
420   new relative glob matching to work.
421
422  -- Joey Hess <joeyh@debian.org>  Thu,  1 Feb 2007 16:57:59 -0500
423
424 ikiwiki (1.34) unstable; urgency=low
425
426   The httpauth setting in config files has been removed. To enable
427   httpauth support on your wiki, you should now enable the httpauth plugin,
428   instead.
429
430   This release includes OpenID support that is enabled through the openid
431   plugin. I recommend turning this on to make it easier for users to sign
432   in to your wiki.
433
434  -- Joey Hess <joeyh@debian.org>  Sun, 19 Nov 2006 20:53:05 -0500
435
436 ikiwiki (1.32) unstable; urgency=low
437
438   There is a change to the plugin interface in this version. Any plugins that
439   modify data in %links should pass scan => 1 when registering the hook that
440   does so.
441
442  -- Joey Hess <joeyh@debian.org>  Sat, 28 Oct 2006 00:13:12 -0400
443
444 ikiwiki (1.29) unstable; urgency=low
445
446   Wikis need to be rebuilt on upgrade to this version. If you listed your wiki
447   in /etc/ikiwiki/wikilist this will be done automatically when the Debian
448   package is upgraded. Or use ikiwiki-mass-rebuild to force a rebuild.
449
450   There is a change to the plugin interface in this version. Plugins that use
451   %renderedfiles will need to be updated, as the hash's values are now arrays
452   of rendered files. Plugins that cause a page to render additional files
453   should use the new will_render function to register the files.
454
455  -- Joey Hess <joeyh@debian.org>  Sun,  8 Oct 2006 17:27:56 -0400
456
457 ikiwiki (1.22) unstable; urgency=low
458   
459   Due to some changes in the CSS, wikis should be rebuilt on upgrade to this
460   version. If you listed your wiki in /etc/ikiwiki/wikilist this will be done
461   automatically when the Debian package is upgraded. Or use ikiwiki-mass-rebuild
462   to force a rebuild.
463
464   If you have modified versions of ikiwiki's html templates, you will need
465   to update your templates to link to the stylesheet file using
466   "<TMPL_VAR BASEURL>style.css" instead of the old method which used
467   STYLEURL.
468
469   There have also been some changes to the plugin interface:
470   Any plugins that use santize, htmlize, or format hooks will need to be
471   updated for this version of ikiwiki since these hooks have been changed
472   to use named parameters.
473
474  -- Joey Hess <joeyh@debian.org>  Tue, 22 Aug 2006 15:33:12 -0400
475
476 ikiwiki (1.13) unstable; urgency=low
477
478   The GlobList format which was used for specifiying sets of pages, has been
479   replaced with a new, more expressive PageSpec format. While GlobLists will
480   continue to work, that format is deprecated, and you are encouraged to use
481   PageSpecs from now on, and also to change any GlobLists in your wiki to
482   PageSpecs. See the new PageSpec page for details.
483   
484   You will need to rebuild your wiki when upgrading to this version. If you
485   listed your wiki in /etc/ikiwiki/wikilist this will be done automatically
486   when the Debian package is upgraded. Or use ikiiki-mass-rebuild to force a
487   rebuild.
488
489  -- Joey Hess <joeyh@debian.org>  Tue,  1 Aug 2006 18:29:51 -0400
490
491 ikiwiki (1.11) unstable; urgency=low
492
493   Some changes to tags in this release, due to a new tag plugin. If you have
494   been using the meta plugin to tag pages, you'll want to enable the tag
495   plugin too, and change things like this:
496
497   [[meta link="foobar"]]
498
499   To this:
500
501   [[tag foobar]]
502
503   The new tags will appear at page footers, and are also easier to type.
504
505   There have also been some changes to the plugin interface, particularly the
506   interface of pagetemplate hooks has changed. See the changelog for details.
507
508  -- Joey Hess <joeyh@debian.org>  Thu, 27 Jul 2006 17:03:09 -0400
509
510 ikiwiki (1.8) unstable; urgency=low
511
512   If your wiki is configured with a setup file, you should modify it to
513   stop setting the "plugin" list directly, and instead add or remove plugins
514   via the add_plugins and disable_plugins lines. For example, if you had:
515
516         plugin => [qw{inline smiley search}],
517
518   Change it to these lines, which disables the default htmlscrubber plugin
519   and adds the two additional plugins:
520
521         add_plugins => [qw{smiley search}],
522         disable_plugins => [qw{htmlscrubber}],
523
524   Making this change makes your ikiwiki setup file more future-proof since
525   new default plugins will be automatically used.
526   
527   You will need to rebuild your ikiwiki wrappers when upgrading to this
528   version. If you listed your wiki in /etc/ikiwiki/wikilist this will be
529   done automatically when the Debian package is upgraded. Or use
530   ikiiki-mass-rebuild --refresh to force a refresh.
531
532  -- Joey Hess <joeyh@debian.org>  Mon,  3 Jul 2006 16:59:29 -0400
533
534 ikiwiki (1.1) unstable; urgency=low
535
536   There have been several configuration changes in this release of ikiwiki:
537
538   The --svn and --no-svn switches are removed, instead you should use
539    --rcs=svn or --no-rcs. ikiwiki setup files that set svn => 1 should
540   be changed to set rcs => "svn"; if your setup file sets svn => 0
541   then change it to use rcs => "" to disable svn.
542
543   The --hyperestraier switch is gone too. To enable searching, turn on the
544   search plugin, by passing --plugin=search or through the plugin setting in
545   the setup file.
546
547   The --sanitize and --no-sanitize switches are also gone, replaced with the
548   htmlscrubber plugin. This plugin is enabled by default, to disable it,
549   use --disable-plugin=htmlscrubber, or modify the plugin setting in the
550   setup file.
551
552   Discussion pages are enabled by default, but if your wiki is configured
553   with a setup file, you need to edit it to keep them enabled on upgrade
554   to this version. Add a line reading:
555   discussion => 1,
556
557   You will need to rebuild your wiki when upgrading to this version.
558   If you listed your wiki in /etc/ikiwiki/wikilist this will be done
559   automatically when the Debian package is upgraded. Or use
560   ikiiki-mass-rebuild to force a rebuild.
561
562  -- Joey Hess <joeyh@debian.org>  Tue,  2 May 2006 14:13:59 -0400